input, textarea, select
{
	font-size:18px;
	box-sizing: border-box;
}
.hidden
{
	display:none;
}
.ignore
{
	display:none;
}
#page_body_wrapper
{
	position:absolute;
	left:0;
	right:0;
	top:0;
	bottom:0;
	display:flex;
	flex-direction:column;
	align-content:center;
}
#page_footer_wrapper
{
	font-size:18px;
	display: flex;
    flex-direction: row;
    align-content: center;
    align-items: center;
}
#main_table_container
{
	height:100%;
	overflow:auto;
	display:flex;
    flex-direction: column;
    align-content: center;
    align-items: center;	
}
#main_table
{
	width:800px;
}
#main_table td
{
	width:100%;
}
#main_table>tbody>tr>th
{
	min-width:150px;
}
#main_table th
{
	text-align:right;
}
#main_table th[colspan="2"]
{
	text-align:center;
}
.res_resref
{
	width:16em;
}
.res_description
{
	width:100%;
	height:125px;
}
.res_num_byte, .res_num_char, .res_num_percent
{
	width:3em;
}
.res_num_short
{
	width:5em;
}
.res_num_word
{
	width:5em;
}
.res_num_distance
{
	width:5em;
}
.res_num_int,.res_num_float
{
	width:9em;
}
.gff_list
{
	width:100%;
}
.list_table_wrapper
{
	max-height:200px;
	overflow:auto;
}
#main_table .gff_list td
{
}
#main_table td.static_list_item_content
{
	width:100%;
}
#main_table td.static_list_item_content.variable_type
{
	width:0;
}
#main_table td.dnd_static_list_item
{
	cursor:move;
	width:18px;
	text-align:center;
}
#main_table td.delete_static_list_item
{
	width:18px;
	text-align:center;
}
#main_table img.delete_static_list_item_icon
{
	cursor:pointer;
}
.drag_handle
{
	opacity:0.6;
}
.expandable_res_fields_section_header th
{
	cursor:pointer;
	background-image:url("../images/icon_arrow_down_b.png");
	background-position:right 10px center;
	background-repeat:no-repeat;
	background-size:auto 80%;
}
.expandable_res_fields_section_header th:hover
{
	text-decoration:underline;
}
.expandable_res_fields_section_header.collapse th
{
	background-image:url("../images/icon_arrow_up_b.png");
}
.edit_script_icon,.edit_item_icon
{
	width:25px;
	height:18px;
	background-image:url("../images/edit_icon.png");
	background-repeat:no-repeat;
	background-position:center center;
	display:inline-block;
	cursor:pointer;
}
#res_input_list_variables td
{
	width:0;
}
#res_input_list_variables td.variable_value
{
	width:100%;
}
#res_input_list_variables td.variable_value input
{
	width:100%;
}
#res_input_list_variables td.variable_name input
{
	width:200px;
}